<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="utf-8" %>
<%@include file="/WEB-INF/ehr/commons/jsp/commonInclude.jsp" %>
<script src="${contextRoot}/develop/lib/plugin/echarts/echarts-all.js"></script>
<script>

    $(function () {
        //初始化
        var type = $(".div-menu .active").attr("data-item");
        var beginTime,endTime;
        getServerInfo(type,beginTime,endTime);

        $(".div-menu").on("click",".c-item",function(){
            $(".div-menu .c-item").removeClass("active");
            $(this).addClass("active");
            var type = $(this).attr("data-item");
            //获取服务器监控数据
            var beginTime,endTime;
            getServerInfo(type,beginTime,endTime);

        })
    });

    function getServerInfo(type,beginTime,endTime){
        $.ajax({
            type: "GET",
            url : "${contextRoot}/server/environment/usage",
            dataType : "json",
            data:{type:type,beginTime:"2015-10-22 00:00:00",endTime:"2016-11-31 00:00:00"},
            cache:false,
            success :function(re){
                if(re.successFlg) {
                    //TODO 设置图表
                    switch(type)
                    {
                        case "cpu":
                            env.cpuInfo(re);
                            break;
                        case "memory":
                            env.memory(re);
                            break;
                        case "files":
                            env.files(re);
                            break;
                        case "net":
                            env.net(re);
                            break;
                        default:
                            break;
                    }
                }
                else{
                    $.ligerDialog.error(re.message);
                }
            },
            error :function(data){
                $.ligerDialog.error("Status:"+data.status +"(" +data.statusText+")");
            }
        });
    }

    var env ={
        cpuInfo:function(re){
         var data = re.data;
         if(data!=null && data.length>0)
         {
             var count = 0
             var success =0;
             var x = [];
             var y1=[];
             var y2=[];
             for(var i=0;i<data.length;i++)
             {
                 var create_date = data[i].create_date.substring(11,16);
                 x.push(create_date);
                 count += data[i].data.totalPerc;
                 success += data[i].data.userPerc;
                 y1.push(data[i].data.totalPerc);
                 y2.push(data[i].data.userPerc);
             }
             // 基于准备好的dom，初始化echarts实例
             var myChart = echarts.init(document.getElementById('main'));
             // 指定图表的配置项和数据
             var option = {
                 title: {
                     text: ' CPU指标',
                     left: 'center'
                 },
                 tooltip: {
                     trigger: 'item',
                     formatter: '{b} <br/>{a} : {c}'
                 },
                 legend: {
                     left: 'left',
                     data: ['总使用率', '用户使用率']
                 },
                 xAxis: {
                     type: 'category',
                     name: '时间',
                     splitLine: {show: false},
                     data: x
                 },
                 grid: {
                     left: '3%',
                     right: '4%',
                     bottom: '3%',
                     containLabel: true
                 },
                 yAxis: {
                     type: 'log',
                     name: '使用率'
                 },
                 series: [
                     {
                         name: '总使用率',
                         type: 'line',
                         data: y1
                     },
                     {
                         name: '用户使用率',
                         type: 'line',
                         data: y2
                     }
                 ]
             };
             myChart.setOption(option);
         }
         else{
             me.clearTop();
         }
    },
        memory:function(re){
            var data = re.data;
            if(data!=null && data.length>0)
            {
                var count = 0
                var success =0;
                var x = [];
                var y1=[];
                var y2=[];
                for(var i=0;i<data.length;i++)
                {
                    var create_date = data[i].create_date.substring(11,16);
                    x.push(create_date);
                    count += data[i].data.usedPerc;
                    y1.push(data[i].data.usedPerc);
                    y2.push(data[i].data.freePerc);
                }
                // 基于准备好的dom，初始化echarts实例
                var myChart = echarts.init(document.getElementById('main'));
                // 指定图表的配置项和数据
                var option = {
                    title: {
                        text: ' 内存使用率指标',
                        left: 'center'
                    },
                    tooltip: {
                        trigger: 'item',
                        formatter: '{b} <br/>{a} : {c}'
                    },
                    legend: {
                        left: 'left',
                        data: ['使用率', '空闲率']
                    },
                    xAxis: {
                        type: 'category',
                        name: '时间',
                        splitLine: {show: false},
                        data: x
                    },
                    grid: {
                        left: '3%',
                        right: '4%',
                        bottom: '3%',
                        containLabel: true
                    },
                    yAxis: {
                        type: 'log',
                        name: '使用率'
                    },
                    series: [
                        {
                            name: '使用率',
                            type: 'line',
                            data: y1
                        },
                        {
                            name: '空闲率',
                            type: 'line',
                            data: y2
                        }
                    ]
                };
                myChart.setOption(option);
            }
            else{
                me.clearTop();
            }
        },
        files:function(re){
            var data = re.data;
            if(data!=null && data.length>0)
            {
                var x = [];
                var y1=[];
                var y2=[];
                for(var i=0;i<data.length;i++)
                {
                    var count = 0
                    var total =0;
                    var create_date = data[i].create_date.substring(11,16);
                    x.push(create_date);
                    for(var j=0;j<data[i].data.length;j++){
                        count += data[i].data[j].used;
                        total += data[i].data[j].total;
                    }
                    y1.push(count);
                    y2.push(total);
                }
                // 基于准备好的dom，初始化echarts实例
                var myChart = echarts.init(document.getElementById('main'));
                // 指定图表的配置项和数据
                var option = {
                    title: {
                        text: ' 磁盘指标',
                        left: 'center'
                    },
                    tooltip: {
                        trigger: 'item',
                        formatter: '{b} <br/>{a} : {c}'
                    },
                    legend: {
                        left: 'left',
                        data: ['已使用', '总量']
                    },
                    xAxis: {
                        type: 'category',
                        name: '时间',
                        splitLine: {show: false},
                        data: x
                    },
                    grid: {
                        left: '3%',
                        right: '4%',
                        bottom: '3%',
                        containLabel: true
                    },
                    yAxis: {
                        type: 'log',
                        name: '使用率'
                    },
                    series: [
                        {
                            name: '已使用',
                            type: 'line',
                            data: y1
                        },
                        {
                            name: '总量',
                            type: 'line',
                            data: y2
                        }
                    ]
                };
                myChart.setOption(option);
            }
            else{
                me.clearTop();
            }
        },
        net:function(re){
            var me = this;
            var data = re.data;
            if(data!=null && data.length>0)
            {
                var x = [];
                var y1=[];
                var y2=[];
                for(var i=0;i<data.length;i++)
                {
                    var create_date = data[i].create_date.substring(11,16);
                    x.push(create_date);
                    y1.push(data[i].data.rxbps);
                    y2.push(data[i].data.txbps);
                }
                // 基于准备好的dom，初始化echarts实例
                var myChart = echarts.init(document.getElementById('main'));
                // 指定图表的配置项和数据
                var option = {
                    title: {
                        text: ' 网络指标',
                        left: 'center'
                    },
                    tooltip: {
                        trigger: 'item',
                        formatter: '{b} <br/>{a} : {c}'
                    },
                    legend: {
                        left: 'left',
                        data: ['接收', '发送']
                    },
                        xAxis: {
                        type: 'category',
                        name: '时间',
                        splitLine: {show: false},
                        data: x
                    },
                    grid: {
                        left: '3%',
                        right: '4%',
                        bottom: '3%',
                        containLabel: true
                    },
                    yAxis: {
                        type: 'log',
                        name: '使用率（kbps）'
                    },
                    series: [
                        {
                            name: '接收',
                            type: 'line',
                            data: y1
                        },
                        {
                            name: '发送',
                            type: 'line',
                            data: y2
                        }
                    ]
                };
                myChart.setOption(option);
            }
            else{
                me.clearTop();
            }
        }
    }



</script>